Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth
Class NTNumericCredential

    java.lang.Object
      com.ibm.security.auth.NTNumericCredential

    public class NTNumericCredential

extends java.lang.Object

This class abstracts an NT security token and provides a mechanism to do same-process security impersonation.

Author:
  D. Kent Soper

Constructor Summary
`NTNumericCredential(int token, NTActiveSystem activeSystem)` Create an `NTNumericCredential` with an integer value.
`NTNumericCredential(int token, NTSystem system)` Create an `NTNumericCredential` with an integer value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `NTNumericCredential` for equality.
`int` | `getToken()` Return an integer representation of this `NTNumericCredential`.
`int` | `hashCode()` Return a hash code for this `NTNumericCredential`.
`java.lang.String` | `toString()` Return a string representation of this `NTNumericCredential`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NTNumericCredential

    public NTNumericCredential(int token,
                               NTActiveSystem activeSystem)

  Create an `NTNumericCredential` with an integer value.

  Parameters:
    `token` - the Windows NT security token for this user.

### NTNumericCredential

    public NTNumericCredential(int token,
                               NTSystem system)

  Create an `NTNumericCredential` with an integer value.

  Parameters:
    `token` - the Windows NT security token for this user.

Method Detail

### getToken

    public int getToken()

  Return an integer representation of this `NTNumericCredential`.

  Returns:
    an integer representation of this `NTNumericCredential`.

### toString

    public java.lang.String toString()

  Return a string representation of this `NTNumericCredential`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this `NTNumericCredential`.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this `NTNumericCredential` for equality. Returns true if the given object is also a `NTNumericCredential` and the two NTNumericCredentials represent the same NT security token.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - Object to be compared for equality with this `NTNumericCredential`.
  Returns:
    true if the specified Object is equal equal to this `NTNumericCredential`.

### hashCode

    public int hashCode()

  Return a hash code for this `NTNumericCredential`.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code for this `NTNumericCredential`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD